# Info Display

This Deno application transforms (resizes and dithers) and image and sends the image to Waveshare's E-Paper ESP32 driver board. For it to work, you need the original wifi example code to be loaded on the board. The code is derived from the wifi example web app, but specialized for the Waveshare 7.5 V2 monochrome display.

## Usage

```sh
# just send the image to the display
deno --allow-read --allow-net main.ts /path/to/original/image

# store dithered image on disk, before sending
deno --allow-read --allow-write --allow-net main.ts /path/to/original/image /path/to/output.image
```
